VISA Error: Code Library Cannot be Located or Loaded

Updated Apr 26, 2018

Reported In

Driver

  • NI-VISA
  • NI-488.2

Issue Details

I recently changed my drivers and my instruments don't communicate through VISA anymore. Inside NI MAX, under Devices & Interfaces, I see a VISA Error: VIError_Library, Code library cannot be located or loaded. 

I tried to install my drivers again, but when I run the setup, the installer says no software will be installed.

Solution

 

  • Check under the Software tab in NI MAX to ensure you have a version of NI-VISA installed.

Additional Information

This error refers to an issue stemming from a lack of drivers, or incorrectly installed drivers. 

WAS THIS ARTICLE HELPFUL?

Not Helpful